<manifest version="2.0" type="device" target-level="4">
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IDevicesFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IEffectsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBluetoothHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth.audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.camera.provider</name>
        <transport>hwbinder</transport>
        <fqname>@2.4::ICameraProvider/legacy/0</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.configstore</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::ISurfaceFlingerConfigs/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.contexthub</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IContexthub/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.drm</name>
        <transport>hwbinder</transport>
        <fqname>@1.3::ICryptoFactory/wfdhdcp</fqname>
        <fqname>@1.3::IDrmFactory/wfdhdcp</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.gatekeeper</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IGatekeeper/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.gnss</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IGnss/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.ir</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IConsumerIr/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.keymaster</name>
        <transport>hwbinder</transport>
        <fqname>@4.0::IKeymasterDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.media.c2</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IComponentStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.media.omx</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOmx/default</fqname>
        <fqname>@1.0::IOmxStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.memtrack</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMemtrack/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::ISap/slot1</fqname>
        <fqname>@1.2::ISap/slot2</fqname>
        <fqname>@1.4::IRadio/slot1</fqname>
        <fqname>@1.4::IRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IRadioConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.renderscript</name>
        <transport arch="32+64">passthrough</transport>
        <fqname>@1.0::IDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.soundtrigger</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::ISoundTriggerHw/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.control</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.fingerprints.extension</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IFingerprintEngineering/default</fqname>
        <fqname>@1.0::IFingerprintNavigation/default</fqname>
        <fqname>@1.0::IFingerprintSensorTest/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.dpm.api</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IdpmQmi/dpmQmiService</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.imscmservice</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IImsCmService/qti.ims.connectionmanagerservice</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.uceservice</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IUceService/com.qualcomm.qti.uceservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.display.color</name>
        <transport>hwbinder</transport>
        <fqname>@1.3::IDisplayColor/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.display.postproc</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDisplayPostproc/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.goodix.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IGoodixFingerprintDaemon/default</fqname>
        <fqname>@2.1::IGoodixFingerprintDaemonExt/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.data.factory</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.esepowermanager</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IEsePowerManager/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.gnss</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::ILocHidlGnss/gnss_vendor</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.gnss</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::ILocHidlGnss/gnss_vendor</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.gnss</name>
        <transport>hwbinder</transport>
        <fqname>@3.0::ILocHidlGnss/gnss_vendor</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.alarm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAlarm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.bluetooth_audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.bluetooth_sar</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IBluetoothSar/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.btconfigstore</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBTConfigStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.capabilityconfigstore</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICapabilityConfigStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.cryptfshw</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICryptfsHw/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.connection</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IDataConnection/slot1</fqname>
        <fqname>@1.1::IDataConnection/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.latency</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ILinkLatency/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.dsp</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDspService/dspservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.embmssl</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IEmbms/embmsslServer0</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.factory</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.fm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IFmHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.fstman</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IFstManager/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.iop</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IIop/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.perf</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IPerf/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qccvndhal</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQccvndhal/qccvndhal</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qseecom</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQSEECom/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qteeconnector</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAppConnector/default</fqname>
        <fqname>@1.0::IGPAppConnector/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.am</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQcRilAudio/slot1</fqname>
        <fqname>@1.0::IQcRilAudio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.ims</name>
        <transport>hwbinder</transport>
        <fqname>@1.6::IImsRadio/imsradio0</fqname>
        <fqname>@1.6::IImsRadio/imsradio1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.internal.deviceinfo</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDeviceInfo/deviceinfo</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.lpa</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUimLpa/UimLpa0</fqname>
        <fqname>@1.0::IUimLpa/UimLpa1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qcrilhook</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQtiOemHook/oemhook0</fqname>
        <fqname>@1.0::IQtiOemHook/oemhook1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qtiradio</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQtiRadio/slot1</fqname>
        <fqname>@1.0::IQtiRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qtiradio</name>
        <transport>hwbinder</transport>
        <fqname>@2.4::IQtiRadio/slot1</fqname>
        <fqname>@2.4::IQtiRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IUim/Uim0</fqname>
        <fqname>@1.2::IUim/Uim1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim_remote_client</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUimRemoteServiceClient/uimRemoteClient0</fqname>
        <fqname>@1.0::IUimRemoteServiceClient/uimRemoteClient1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim_remote_server</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUimRemoteServiceServer/uimRemoteServer0</fqname>
        <fqname>@1.0::IUimRemoteServiceServer/uimRemoteServer1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.sensorscalibrate</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISensorsCalibrate/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.soter</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISoter/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.trustedui</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ITrustedInput/default</fqname>
        <fqname>@1.0::ITrustedUI/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.tui_comm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ITuiComm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.vpp</name>
        <transport>hwbinder</transport>
        <fqname>@1.3::IHidlVppService/vppService</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wifi.wifilearner</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IWifiStats/wifiStats</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wifidisplaysession</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IWifiDisplaySession/wifidisplaysession</fqname>
        <fqname>@1.0::IWifiDisplaySessionAudioTrack/wifidisplaysessionaudiotrack</fqname>
        <fqname>@1.0::IWifiDisplaySessionImageTrack/wifidisplaysessionimagetrack</fqname>
        <fqname>@1.0::IWifiDisplaySessionVideoTrack/wifidisplaysessionvideotrack</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.ims.callinfo</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.ims.factory</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IImsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.imsrtpservice</name>
        <transport>hwbinder</transport>
        <fqname>@3.0::IRTPService/imsrtpservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.xiaomi.hardware.displayfeature</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDisplayFeature/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.xiaomi.hardware.touchfeature</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ITouchFeature/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.xiaomi.hardware.vibratorfeature</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVibratorFeature/default</fqname>
    </hal>
</manifest>
